Name:           ocaml-psmt2-frontend
Version:        0.1
Release:        %mkrel 9
Summary:        A simple parser and type-checker for polymorphic extension
Group:          Development/OCaml
License:        ASL 2.0
URL:            https://github.com/Coquera/psmt2-frontend
Source0:        https://github.com/Coquera/psmt2-frontend/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  autoconf
BuildRequires:  menhir
BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-findlib

Patch0:         add-datarootdir.patch
Patch1:         fix-install-dirs.patch

%description
A library to parse and type-check a conservative extension of the SMT-LIB 2
standard with prenex polymorphism.

%prep
%autosetup -p1 -n psmt2-frontend-%{version}

%build
autoconf
%configure
%make_build

%install
mkdir -p %{buildroot}%{_libdir}/ocaml
%make_install DESTDIR=%{buildroot}

%files
%doc README.md CHANGES.md
%{_libdir}/ocaml/psmt2-frontend/


%changelog
* Sat Aug 22 2020 tv <tv> 0.1-9.mga8
+ Revision: 1617869
- Rebuild for new ocaml deps generator

* Fri Feb 28 2020 umeabot <umeabot> 0.1-8.mga8
+ Revision: 1551460
- Rebuild for ocaml 4.10.0 final

* Wed Feb 19 2020 umeabot <umeabot> 0.1-7.mga8
+ Revision: 1544193
- Mageia 8 Mass Rebuild

* Fri Jan 24 2020 tv <tv> 0.1-6.mga8
+ Revision: 1482694
- rebuild for ocaml-4.10
+ wally <wally>
- replace deprecated %%configure2_5x

* Wed Jun 19 2019 tmb <tmb> 0.1-5.mga7
+ Revision: 1400356
- rebuild for armv7

* Wed Jun 19 2019 tmb <tmb> 0.1-4.mga7
+ Revision: 1400350
- rollback to 0.1

* Fri Jan 18 2019 kekepower <kekepower> 0.2-1.mga7
+ Revision: 1357968
- Update to version 0.2
- Rediffed patches

* Tue Oct 23 2018 pterjan <pterjan> 0.1-3.mga7
+ Revision: 1324403
- Rebuild for ocaml 4.07.1

* Sun Sep 23 2018 umeabot <umeabot> 0.1-2.mga7
+ Revision: 1299920
- Mageia 7 Mass Rebuild

* Sat Apr 28 2018 kekepower <kekepower> 0.1-1.mga7
+ Revision: 1223157
- imported package ocaml-psmt2-frontend

